View Issue Details

IDProjectCategoryView StatusLast Update
0001246SymmetricDSBugpublic2014-02-02 20:53
ReporterabrougherAssigned Toabrougher 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.4.5 
Target Version3.4.6Fixed in Version3.4.6 
Summary0001246: Oracle NUMBER datatype is incorrectly mapped to an Integer data type.
DescriptionThe latest Oracle 11g JDBC driver represents an integer column the same as a number column type. To tell the difference we must query the Oracle meta data.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 0cbdeafa

2013-05-31 16:17:56

abrougher

Details Diff
0001246: Oracle NUMBER datatype is incorrectly mapped to an Integer data type.
0001246
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/AbstractJdbcDdlReader.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/oracle/OracleDdlReader.java Diff File

Issue History

Date Modified Username Field Change
2013-05-31 16:17 abrougher New Issue
2013-05-31 16:17 abrougher Status new => assigned
2013-05-31 16:17 abrougher Assigned To => abrougher
2013-05-31 16:18 abrougher Status assigned => resolved
2013-05-31 16:18 abrougher Fixed in Version => 3.5.0
2013-05-31 16:18 abrougher Resolution open => fixed
2013-05-31 16:18 abrougher Assigned To abrougher => chenson
2013-05-31 16:20 abrougher Project SymmetricDS Pro => SymmetricDS
2013-05-31 17:06 chenson Assigned To chenson => abrougher
2013-05-31 17:06 chenson Status resolved => assigned
2013-05-31 18:48 chenson Status assigned => resolved
2013-06-06 08:52 chenson Fixed in Version 3.5.0 => 3.4.6
2013-06-06 08:52 chenson Target Version 3.5.0 => 3.4.6
2013-06-06 14:43 chenson Status resolved => closed
2014-02-02 20:53 abrougher Changeset attached => SymmetricDS trunk r7299
2014-02-02 20:53 Changeset attached => SymmetricDS 3.4 r7344
2015-07-30 21:49 abrougher Changeset attached => SymmetricDS master 0cbdeafa